Package org.opensaml.xacml.profile.saml.impl

# Class XACMLAuthzDecisionStatementTypeMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.saml.common.AbstractSAMLObjectMarshaller
org.opensaml.xacml.profile.saml.impl.XACMLAuthzDecisionStatementTypeMarshaller

All Implemented Interfaces:
  `Marshaller`

public class XACMLAuthzDecisionStatementTypeMarshaller extends AbstractSAMLObjectMarshaller
A thread-safe Marshaller for `XACMLAuthzDecisionStatementType`. New 27/07/2007

## Constructor Summary

Constructors
Constructor
Description
`XACMLAuthzDecisionStatementTypeMarshaller()`

## Method Summary

### Methods inherited from class org.opensaml.saml.common.AbstractSAMLObjectMarshaller

`marshall, marshall, marshallAttributes, marshallElementContent`

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshallAttributeIDness, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XACMLAuthzDecisionStatementTypeMarshaller

public XACMLAuthzDecisionStatementTypeMarshaller()